## libchamplain 0.12.20

=== meson_options.txt ===
option('memphis',
       type: 'boolean', value: false,
       description: 'Enable Memphis support (requires libmemphis)')

option('introspection',
       type: 'boolean', value: true,
       description: 'Generate introspection data (requires gobject-introspection)')
option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data (requires vapigen)')

option('widgetry',
       type: 'boolean', value: true,
       description: 'Build GTK+ widgetry')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gtk-doc)')

option('demos',
       type: 'boolean', value: false,
       description: 'Build demonstration programs')

## libchamplain 0.4.1-1

=== debian/changelog ===
libchamplain (0.4.1-1) unstable; urgency=low
  [ Simon Pickering ]
  * New upstream release (0.4.1)

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 20 Oct 2009 13:50:00 +0100
 

libchamplain (0.4.0-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control: Add libchamplain-0.3-dev dependency to
    libchamplain-gtk-0.3-dev

  [ Sjoerd Simons ]
  * New upstream release (0.4.0)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 15 Sep 2009 00:01:41 +0100

libchamplain (0.3.91-3) experimental; urgency=low

  * debian/control: Fix broken recommends s/libclutter-doc/libclutter-1.0-doc

 -- Laurent Bigonville <bigon@debian.org>  Tue, 01 Sep 2009 10:51:39 +0200

libchamplain (0.3.91-2) experimental; urgency=low

  * debian/control: Fix typo in libchamplain-gtk-0.3-dev dependencies

 -- Laurent Bigonville <bigon@debian.org>  Tue, 01 Sep 2009 10:50:56 +0200

libchamplain (0.3.91-1) experimental; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Bump soname and adjust .symbols files 
  * debian/control:
    - Fix packages descriptions (Closes: #535576)
    - Add Vcs- fields 

 -- Laurent Bigonville <bigon@debian.org>  Mon, 31 Aug 2009 13:55:59 +0200

libchamplain (0.3.3-2) unstable; urgency=low

  * debian/control:
    - Add proper dependencies for -dev packages (Closes: #536425)
    - Bump Standards-Version to 3.8.3 (no further changes)
    - Add libclutter-doc recommends to libchamplain-doc (Closes: #538072)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 30 Aug 2009 20:43:34 +0200

libchamplain (0.3.3-1) unstable; urgency=low

  * New upstream release
    - Bump soname and adjust .symbols files of booth libraries
  * debian/control:
    - Add ${misc:Depends} to libchamplain-gtk-doc to please lintian
    - Build depend against libsoup-gnome2.4-dev instead of libsoup-2.4-dev
    - Add myself as an Uploaders
    - Remove duplicate section field for libchamplain-0.3-1
      and libchamplain-gtk-0.3-1 to please lintian
    - Versionize libclutter-0.8-dev build-dep
  * debian/watch: Fix URL
  * debian/copyright: Cleanup copyright file

 -- Laurent Bigonville <bigon@debian.org>  Tue, 16 Jun 2009 16:23:34 +0200

libchamplain (0.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #529853)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 02 Jun 2009 23:55:33 +0100

libchamplain (0.2.10-2) unstable; urgency=low

  [ Sebastian Reichel ]
  * New standard version: 3.8.1
  * Fix lintian warnings

  [ Sjoerd Simons ]
  * debian/copyright: Updated
  * debian/control.in: Move the -dbg package into the debug section

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 17 May 2009 16:00:43 +0100

libchamplain (0.2.10-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Initial release. (Closes: #498369)

  [ Sjoerd Simons ]
  * New upstream release (0.2.10)
  * Improve descriptions and add a docs package, based on work by
    Sebastian Reichel

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 03 Apr 2009 01:07:29 +0100

=== debian/control ===
Source: libchamplain
Section: libs
Priority: optional
XSBC-Original-Maintainer: Sjoerd Simons <sjoerd@debian.org>
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: debhelper (>= 5),
               cdbs,
               gnome-pkg-tools,
               libgtk2.0-dev (>= 2.12),
               libglib2.0-dev (>= 2.16),
               libsoup2.4-dev,
               libclutter-1.0-dev,
               libclutter-gtk-0.10-dev,
               libcairo2-dev (>= 1.4),
               libsqlite3-dev
Standards-Version: 3.8.3
Homepage: http://projects.gnome.org/libchamplain/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/libchamplain
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libchamplain/

Package: libchamplain-0.4.1-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C library providing ClutterActor to display maps
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.


Package: libchamplain-0.4.1-dev
Section: libdevel
Architecture: any
Depends: libchamplain-0.4.1-0 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev,
         libclutter-1.0-dev
Description: C library providing ClutterActor to display maps (development files)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the header files required if you wish
 to develop software that uses libchamplain.

Package: libchamplain-0.4.1-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libchamplain-0.4.1-0 (= ${binary:Version}),
         ${misc:Depends}
Description: C library providing ClutterActor to display maps (debug symbols)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains debugging symbols for libchamplain

Package: libchamplain-gtk-0.4.1-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: A Gtk+ widget to display maps
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.

Package: libchamplain-gtk-0.4.1-dev
Architecture: any
Section: libdevel
Depends: libchamplain-gtk-0.4.1-0 (= ${binary:Version}),
         ${misc:Depends},
         libgtk2.0-dev,
         libglib2.0-dev,
         libclutter-1.0-dev,
         libchamplain-0.4.1-dev (= ${binary:Version}),
         libclutter-gtk-0.10-dev
Description: A Gtk+ widget to display maps (development files)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains development files for libchamplain-gtk.


Package: libchamplain-gtk-0.4.1-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libchamplain-gtk-0.4.1-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: A Gtk+ widget to display maps (debug symbols)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains debugging symbols for libchamplain-gtk.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

#DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

common-binary-predeb-arch:: list-missing

## libchamplain 0.4.2-0

=== debian/changelog ===
libchamplain (0.4.2-0) unstable; urgency=low
  [ Simon Pickering ]
  * New upstream release (0.4.2)

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 3 Nov 2009 17:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/libchamplain
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libchamplain/
 
-Package: libchamplain-0.4.1-0
+Package: libchamplain
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -30,10 +30,10 @@
  OpenStreetMap (default), OpenArialMap and Maps for free.
 
 
-Package: libchamplain-0.4.1-dev
+Package: libchamplain-dev
 Section: libdevel
 Architecture: any
-Depends: libchamplain-0.4.1-0 (= ${binary:Version}),
+Depends: libchamplain (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
          libclutter-1.0-dev
@@ -47,11 +47,11 @@
  This package contains the header files required if you wish
  to develop software that uses libchamplain.
 
-Package: libchamplain-0.4.1-dbg
+Package: libchamplain-dbg
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libchamplain-0.4.1-0 (= ${binary:Version}),
+Depends: libchamplain (= ${binary:Version}),
          ${misc:Depends}
 Description: C library providing ClutterActor to display maps (debug symbols)
  Libchamplain is a C library providing a ClutterActor to
@@ -62,7 +62,7 @@
  .
  This package contains debugging symbols for libchamplain
 
-Package: libchamplain-gtk-0.4.1-0
+Package: libchamplain-gtk
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -73,15 +73,15 @@
  It supports numerous free map sources such as
  OpenStreetMap (default), OpenArialMap and Maps for free.
 
-Package: libchamplain-gtk-0.4.1-dev
+Package: libchamplain-gtk-dev
 Architecture: any
 Section: libdevel
-Depends: libchamplain-gtk-0.4.1-0 (= ${binary:Version}),
+Depends: libchamplain-gtk (= ${binary:Version}),
          ${misc:Depends},
          libgtk2.0-dev,
          libglib2.0-dev,
          libclutter-1.0-dev,
-         libchamplain-0.4.1-dev (= ${binary:Version}),
+         libchamplain-dev (= ${binary:Version}),
          libclutter-gtk-0.10-dev
 Description: A Gtk+ widget to display maps (development files)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
@@ -93,11 +93,11 @@
  This package contains development files for libchamplain-gtk.
 
 
-Package: libchamplain-gtk-0.4.1-dbg
+Package: libchamplain-gtk-dbg
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libchamplain-gtk-0.4.1-0 (= ${binary:Version}),
+Depends: libchamplain-gtk (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: A Gtk+ widget to display maps (debug symbols)

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

## libchamplain 0.4.3-0

=== debian/changelog ===
libchamplain (0.4.3-0) unstable; urgency=low
  [ Pierre-Luc Beaudoin ]
  * New upstream release (0.4.3)

 -- Pierre-Luc Beaudoin <pierre-luc@pierlux.com>  Tue, 5 Jan 2010 16:07:00 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: libs
 Priority: optional
 XSBC-Original-Maintainer: Sjoerd Simons <sjoerd@debian.org>
-Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
+Maintainer: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
 Build-Depends: debhelper (>= 5),
                cdbs,
+	       gtk-doc-tools,
                gnome-pkg-tools,
                libgtk2.0-dev (>= 2.12),
                libglib2.0-dev (>= 2.16),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 
-#DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc --disable-managed
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 
 common-binary-predeb-arch:: list-missing

## libchamplain 0.4.4-0

=== debian/changelog ===
libchamplain (0.4.4-0) unstable; urgency=low
  [ Pierre-Luc Beaudoin ]
  * New upstream release (0.4.4)
  * Delete the old cache

 -- Pierre-Luc Beaudoin <pierre-luc@pierlux.com>  Thu, 28 Jan 2010 16:15:00 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/dpatch.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc --disable-managed --enable-maemo
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

common-binary-predeb-arch:: list-missing

## libchamplain 0.4.6

=== debian/changelog ===
libchamplain (0.4.6-2) unstable; urgency=medium

  * debian/patches/01fix_python_bindings.patch: Fix python bindings
    (Closes: #587881)
  * Rename python packages to remove version in the name
  * Bump Standards-Version to 3.9.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 Jul 2010 15:17:42 +0200

libchamplain (0.4.6-1) unstable; urgency=low

  * New upstream release (thanks to Łukasz Jernaś <deejay1@srem.org>)
    (Closes: #585126)
    - Add Python and Vala bindings (Closes: #561638)
  * debian/control: Make libchamplain-gtk-0.4-dbg recommends
    libchamplain-0.4-dbg

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Jun 2010 15:26:48 +0200

libchamplain (0.4.5-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version (no further changes)
  * Use new "3.0 (quilt)" source package format

 -- Laurent Bigonville <bigon@debian.org>  Thu, 25 Mar 2010 14:34:07 +0100

libchamplain (0.4.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Fix empty -dbg packages

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Feb 2010 23:42:13 +0100

libchamplain (0.4.3-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
    - fix linking using binutils-gold (Closes: #555082)
  * Add support for "get-orig-source" in debian/rules.
  * Update libchamplain-0.4-0.symbols for function added in 0.4.3.

  [ Laurent Bigonville ]
  * Add Recommends on libchamplain-doc package for
    libchamplain-gtk-doc (Closes: #565311)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 20 Jan 2010 18:12:56 +0100

libchamplain (0.4.2-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * Update the copyright file

  [ Laurent Bigonville ]
  * New upstream release
    - debian/libchamplain-0.4-0.symbols: Update symbols
  * debian/control.in:
    - Remove myself from the Uploaders as I'm now in gnome-pkg-tools
      maintainer list
    - Fix Vcs-Svn URL
    - Add libclutter-gtk-0.10-doc recommends for libchamplain-gtk-doc
  * Add GObject introspection packages (LP: #456265)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Oct 2009 13:16:24 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libchamplain
Section: libs
Priority: optional
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 7),
               cdbs (>= 0.4.75~),
               python-support,
               gnome-pkg-tools,
               gtk-doc-tools,
               libgtk2.0-dev (>= 2.12),
               libglib2.0-dev (>= 2.16),
               libsoup-gnome2.4-dev,
               libclutter-1.0-dev,
               libclutter-gtk-0.10-dev,
               libcairo2-dev (>= 1.4),
               libgconf2-dev,
               libsqlite3-dev,
               gobject-introspection (>= 0.6.5-4~),
               libgirepository1.0-dev (>= 0.6.3),
               gir-repository-dev,
               gir1.0-gtk-2.0,
               gir1.0-clutter-1.0,
               python-all-dev (>= 2.5),
               python-clutter-dev,
               python-clutter-gtk-dev,
               python-gobject-dev,
               python-gtk2-dev,
               valac
Standards-Version: 3.9.0
Homepage: http://projects.gnome.org/libchamplain/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libchamplain
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libchamplain/
XS-Python-Version: >= 2.5

Package: libchamplain-0.4-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C library providing ClutterActor to display maps
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.

Package: libchamplain-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libclutter-1.0-doc
Description: C library providing ClutterActor to display maps (documentation)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the documentary for this package.

Package: libchamplain-0.4-dev
Section: libdevel
Architecture: any
Depends: libchamplain-0.4-0 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev,
         libclutter-1.0-dev
Suggests: libchamplain-doc
Description: C library providing ClutterActor to display maps (development files)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the header files required if you wish
 to develop software that uses libchamplain.

Package: libchamplain-0.4-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libchamplain-0.4-0 (= ${binary:Version}),
         ${misc:Depends}
Description: C library providing ClutterActor to display maps (debug symbols)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains debugging symbols for libchamplain

Package: gir1.0-champlain-0.4
Architecture: any
Priority: extra
Depends: ${gir:Depends},
         ${misc:Depends}
Description: C library providing ClutterActor to display maps (GObject introspection)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the GObject introspection file for libchamplain.

Package: libchamplain-gtk-0.4-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: A Gtk+ widget to display maps
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.

Package: libchamplain-gtk-0.4-dev
Architecture: any
Section: libdevel
Depends: libchamplain-gtk-0.4-0 (= ${binary:Version}),
         ${misc:Depends},
         libgtk2.0-dev,
         libglib2.0-dev,
         libclutter-1.0-dev,
         libchamplain-0.4-dev (= ${binary:Version}),
         libclutter-gtk-0.10-dev
Description: A Gtk+ widget to display maps (development files)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains development files for libchamplain-gtk.

Package: libchamplain-gtk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libclutter-gtk-0.10-doc, libchamplain-doc (= ${binary:Version})
Description: A Gtk+ widget to display maps (documentation)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains documentation for libchamplain-gtk.

Package: libchamplain-gtk-0.4-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libchamplain-gtk-0.4-0 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libchamplain-0.4-dbg
Description: A Gtk+ widget to display maps (debug symbols)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains debugging symbols for libchamplain-gtk.

Package: gir1.0-gtkchamplain-0.4
Architecture: any
Priority: extra
Depends: ${gir:Depends},
         ${misc:Depends}
Description: A Gtk+ widget to display maps (GObject introspection)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the GObject introspection file for libchamplain-gtk.

Package: python-champlain
Architecture: any
Section: python
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gobject,
         python-clutter
Replaces: python-champlain-0.4
Conflicts: python-champlain-0.4
Provides: python-champlain-0.4
XB-Python-Version: ${python:Versions}
Description: C library providing ClutterActor to display maps (Python bindings)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the Python bindings for libchamplain.

Package: python-champlain-gtk
Architecture: any
Section: python
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gobject,
         python-clutter,
         python-clutter-gtk
Replaces: python-champlain-gtk-0.4
Conflicts: python-champlain-gtk-0.4
Provides: python-champlain-gtk-0.4
XB-Python-Version: ${python:Versions}
Description: A Gtk+ widget to display maps (Python bindings)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the Python bindings for libchamplain-gtk.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build
DEB_PYTHON_SYSTEM = pysupport
DEB_PYTHON_MODULE_PACKAGES = python-champlain python-champlain-gtk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc \
                             --enable-introspection \
			     --enable-python \
			     --enable-vala

common-binary-predeb-arch:: list-missing

DEB_DBG_PACKAGE_libchamplain-0.4-0 = libchamplain-0.4-dbg
DEB_DBG_PACKAGE_libchamplain-gtk-0.4-0 = libchamplain-gtk-0.4-dbg

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES))::
	dh_girepository -p$(cdbs_curpkg)

## libchamplain 0.8.1

=== debian/changelog ===
libchamplain (0.8.1-1) experimental; urgency=low

  * New upstream release
  * debian/control.in, debian/rules:
    - Drop python packages, they are empty since 0.7.2-1 anyway

 -- Laurent Bigonville <bigon@debian.org>  Tue, 25 Jan 2011 20:24:56 +0100

libchamplain (0.8.0-2) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-champlain-0.8 to gir1.2-champlain-0.8 and
      gir1.0-gtkchamplain-0.8 to gir1.2-gtkchamplain-0.8.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 13 Dec 2010 01:13:25 +0100

libchamplain (0.8.0-1) experimental; urgency=low

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Oct 2010 15:59:25 +0200

libchamplain (0.7.2-1) experimental; urgency=low

  * New upstream release
    - Bump soname and adjust .symbols files
    - Drop debian/patches/reduce_pc_requires.patch: applied upstream
  * debian/control.in:
    - Bump Standards-Version to 3.9.1 (no further changes)
  * Python bindings are not working in this release, ship empty packages for
    now.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Sep 2010 23:10:38 +0200

libchamplain (0.6.1-1) experimental; urgency=low

  * New upstream release (Closes: #583357)
    - Bump soname version and adjust .symbols file
  * Use .bz2 upstream tarball
  * debian/patches/reduce_pc_requires.patch: Do not link against useless
    libraries

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 Jun 2010 00:34:56 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libchamplain
Section: libs
Priority: optional
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 7),
               cdbs (>= 0.4.75~),
               gnome-pkg-tools,
               gtk-doc-tools,
               libgtk2.0-dev (>= 2.12),
               libglib2.0-dev (>= 2.16),
               libsoup-gnome2.4-dev,
               libclutter-1.0-dev,
               libclutter-gtk-0.10-dev,
               libcairo2-dev (>= 1.4),
               libgconf2-dev,
               libsqlite3-dev,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-gtk-2.0,
               gir1.2-clutter-1.0,
               valac
Standards-Version: 3.9.1
Homepage: http://projects.gnome.org/libchamplain/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libchamplain
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libchamplain/

Package: libchamplain-0.8-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C library providing ClutterActor to display maps
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.

Package: libchamplain-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libclutter-1.0-doc
Description: C library providing ClutterActor to display maps (documentation)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the documentary for this package.

Package: libchamplain-0.8-dev
Section: libdevel
Architecture: any
Depends: libchamplain-0.8-1 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev,
         libclutter-1.0-dev,
         libsqlite3-dev,
         libcairo2-dev (>= 1.4),
         libsoup-gnome2.4-dev
Suggests: libchamplain-doc
Description: C library providing ClutterActor to display maps (development files)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the header files required if you wish
 to develop software that uses libchamplain.

Package: libchamplain-0.8-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libchamplain-0.8-1 (= ${binary:Version}),
         ${misc:Depends}
Description: C library providing ClutterActor to display maps (debug symbols)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains debugging symbols for libchamplain

Package: gir1.2-champlain-0.8
Architecture: any
Priority: extra
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gir1.0-champlain-0.8
Replaces: gir1.0-champlain-0.8
Description: C library providing ClutterActor to display maps (GObject introspection)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the GObject introspection file for libchamplain.

Package: libchamplain-gtk-0.8-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: A Gtk+ widget to display maps
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.

Package: libchamplain-gtk-0.8-dev
Architecture: any
Section: libdevel
Depends: libchamplain-gtk-0.8-1 (= ${binary:Version}),
         ${misc:Depends},
         libgtk2.0-dev,
         libglib2.0-dev,
         libclutter-1.0-dev,
         libchamplain-0.8-dev (= ${binary:Version}),
         libclutter-gtk-0.10-dev
Description: A Gtk+ widget to display maps (development files)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains development files for libchamplain-gtk.

Package: libchamplain-gtk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libclutter-gtk-0.10-doc, libchamplain-doc (= ${source:Version})
Description: A Gtk+ widget to display maps (documentation)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains documentation for libchamplain-gtk.

Package: libchamplain-gtk-0.8-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libchamplain-gtk-0.8-1 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libchamplain-0.8-dbg
Description: A Gtk+ widget to display maps (debug symbols)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains debugging symbols for libchamplain-gtk.

Package: gir1.2-gtkchamplain-0.8
Architecture: any
Priority: extra
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gir1.0-gtkchamplain-0.8
Replaces: gir1.0-gtkchamplain-0.8
Description: A Gtk+ widget to display maps (GObject introspection)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the GObject introspection file for libchamplain-gtk.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc \
                             --enable-introspection \
			     --enable-vala

common-binary-predeb-arch:: list-missing

DEB_DBG_PACKAGE_libchamplain-0.8-1 = libchamplain-0.8-dbg
DEB_DBG_PACKAGE_libchamplain-gtk-0.8-1 = libchamplain-gtk-0.8-dbg

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES))::
	dh_girepository -p$(cdbs_curpkg)

## libchamplain 0.10.0

=== debian/changelog ===
libchamplain (0.10.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/control.in:
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Remove indefinite article at the beginning of the Description

 -- Laurent Bigonville <bigon@debian.org>  Tue, 19 Apr 2011 22:52:36 +0200

libchamplain (0.10.0-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control.in:
    - Make libchamplain-gtk-doc Recommends libclutter-gtk-1.0-doc instead
      of libclutter-gtk-0.10-doc
    - Build-depends against valac-0.12 instead of valac
  * debian/rules: Readd --enable-vala configure flag
  * debian/libchamplain-0.10-0.symbols: Adjust .symbols file

  [ Josselin Mouette ]
  * Make the -dev packages depend on the gir packages.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Apr 2011 11:41:43 +0200

libchamplain (0.9.0-1) experimental; urgency=low

  * New upstream release:
    - Built against GTK3
  * debian/rules:
    - Drop --enable-vala, vala bindings are built by default
    - Always bump shlibs files, we are using .symbols files anyway
    - Rely on cdbs >= 0.4.90 to call dh_girepository
  * debian/control.in:
    - Bump build-dependencies
    - Rename packages accordingly
  * Rename and update *.symbols and *.install files

 -- Laurent Bigonville <bigon@debian.org>  Wed, 16 Mar 2011 00:28:36 +0100

libchamplain (0.4.6-3) unstable; urgency=low

  * Remove the gir1.0 packages to ease the gir1.2 transition, since nothing
    uses them.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Feb 2011 20:47:47 +0000

=== debian/control ===
--- 
+++ 
@@ -9,28 +9,28 @@
 Maintainer: Sjoerd Simons <sjoerd@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 7),
-               cdbs (>= 0.4.75~),
+               cdbs (>= 0.4.90~),
                gnome-pkg-tools,
                gtk-doc-tools,
-               libgtk2.0-dev (>= 2.12),
+               libgtk-3-dev (>= 2.90),
                libglib2.0-dev (>= 2.16),
                libsoup-gnome2.4-dev,
-               libclutter-1.0-dev,
-               libclutter-gtk-0.10-dev,
+               libclutter-1.0-dev (>= 1.2),
+               libclutter-gtk-1.0-dev (>= 0.90),
                libcairo2-dev (>= 1.4),
                libgconf2-dev,
                libsqlite3-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
-               gir1.2-gtk-2.0,
+               gir1.2-gtk-3.0,
                gir1.2-clutter-1.0,
-               valac
-Standards-Version: 3.9.1
+               valac-0.12
+Standards-Version: 3.9.2
 Homepage: http://projects.gnome.org/libchamplain/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libchamplain
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libchamplain/
 
-Package: libchamplain-0.8-1
+Package: libchamplain-0.10-0
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -55,10 +55,11 @@
  .
  This package contains the documentary for this package.
 
-Package: libchamplain-0.8-dev
+Package: libchamplain-0.10-dev
 Section: libdevel
 Architecture: any
-Depends: libchamplain-0.8-1 (= ${binary:Version}),
+Depends: libchamplain-0.10-0 (= ${binary:Version}),
+         gir1.2-champlain-0.10 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
          libclutter-1.0-dev,
@@ -76,11 +77,11 @@
  This package contains the header files required if you wish
  to develop software that uses libchamplain.
 
-Package: libchamplain-0.8-dbg
+Package: libchamplain-0.10-dbg
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libchamplain-0.8-1 (= ${binary:Version}),
+Depends: libchamplain-0.10-0 (= ${binary:Version}),
          ${misc:Depends}
 Description: C library providing ClutterActor to display maps (debug symbols)
  Libchamplain is a C library providing a ClutterActor to
@@ -91,13 +92,11 @@
  .
  This package contains debugging symbols for libchamplain
 
-Package: gir1.2-champlain-0.8
+Package: gir1.2-champlain-0.10
 Architecture: any
 Priority: extra
 Depends: ${gir:Depends},
          ${misc:Depends}
-Conflicts: gir1.0-champlain-0.8
-Replaces: gir1.0-champlain-0.8
 Description: C library providing ClutterActor to display maps (GObject introspection)
  Libchamplain is a C library providing a ClutterActor to
  display maps.
@@ -107,28 +106,29 @@
  .
  This package contains the GObject introspection file for libchamplain.
 
-Package: libchamplain-gtk-0.8-1
+Package: libchamplain-gtk-0.10-0
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Description: A Gtk+ widget to display maps
+Description: Gtk+ widget to display maps
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
  .
  It supports numerous free map sources such as
  OpenStreetMap (default), OpenArialMap and Maps for free.
 
-Package: libchamplain-gtk-0.8-dev
+Package: libchamplain-gtk-0.10-dev
 Architecture: any
 Section: libdevel
-Depends: libchamplain-gtk-0.8-1 (= ${binary:Version}),
+Depends: libchamplain-gtk-0.10-0 (= ${binary:Version}),
+         gir1.2-gtkchamplain-0.10 (= ${binary:Version}),
          ${misc:Depends},
-         libgtk2.0-dev,
+         libgtk-3-dev,
          libglib2.0-dev,
          libclutter-1.0-dev,
-         libchamplain-0.8-dev (= ${binary:Version}),
-         libclutter-gtk-0.10-dev
-Description: A Gtk+ widget to display maps (development files)
+         libchamplain-0.10-dev (= ${binary:Version}),
+         libclutter-gtk-1.0-dev
+Description: Gtk+ widget to display maps (development files)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
  .
@@ -141,8 +141,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: libclutter-gtk-0.10-doc, libchamplain-doc (= ${source:Version})
-Description: A Gtk+ widget to display maps (documentation)
+Recommends: libclutter-gtk-1.0-doc, libchamplain-doc (= ${source:Version})
+Description: Gtk+ widget to display maps (documentation)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
  .
@@ -151,14 +151,14 @@
  .
  This package contains documentation for libchamplain-gtk.
 
-Package: libchamplain-gtk-0.8-dbg
+Package: libchamplain-gtk-0.10-dbg
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libchamplain-gtk-0.8-1 (= ${binary:Version}),
+Depends: libchamplain-gtk-0.10-0 (= ${binary:Version}),
          ${misc:Depends}
-Recommends: libchamplain-0.8-dbg
-Description: A Gtk+ widget to display maps (debug symbols)
+Recommends: libchamplain-0.10-dbg
+Description: Gtk+ widget to display maps (debug symbols)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
  .
@@ -167,15 +167,13 @@
  .
  This package contains debugging symbols for libchamplain-gtk.
 
-Package: gir1.2-gtkchamplain-0.8
+Package: gir1.2-gtkchamplain-0.10
 Architecture: any
 Priority: extra
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: gir1.0-gtkchamplain-0.8
-Replaces: gir1.0-gtkchamplain-0.8
-Description: A Gtk+ widget to display maps (GObject introspection)
+Description: Gtk+ widget to display maps (GObject introspection)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc \
                             --enable-vala \
                             --enable-introspection

common-binary-predeb-arch:: list-missing

DEB_DH_MAKESHLIBS_ARGS_libchamplain-0.10-0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libchamplain-gtk-0.10-0 += -V -- -c4

DEB_DBG_PACKAGE_libchamplain-0.10-0 = libchamplain-0.10-dbg
DEB_DBG_PACKAGE_libchamplain-gtk-0.10-0 = libchamplain-gtk-0.10-dbg

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libchamplain/([\d\.]+)/libchamplain-([\d\.]+)\.tar\.bz2

## libchamplain 0.12.0

=== debian/changelog ===
libchamplain (0.12.0-2) unstable; urgency=low

  * debian/control.in:
    - Build-dep against valac-0.14 instead of valac-0.12, mixing different
      versions leads valac to crash (Closes: #650229)
    - Move gir package to Section: introspection
  * debian/watch: Switch to .xz tarballs

 -- Laurent Bigonville <bigon@debian.org>  Wed, 14 Dec 2011 16:50:02 +0100

libchamplain (0.12.0-1) unstable; urgency=low

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Sep 2011 20:48:16 +0200

libchamplain (0.11.0-1) unstable; urgency=low

  * New upstream release
    - Rename packages to match new soname
    - Adjusts .symbols files
  * debian/patches/99_ltmain_as-needed.patch, debian/rules: Limit unneeded
    runtime dependencies
  * debian/control.in, debian/*.install, debian/rules: Transition to multiarch
    policy
  * debian/control.in: Move gir1.2-* packages to optional

 -- Laurent Bigonville <bigon@debian.org>  Tue, 06 Sep 2011 21:03:14 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Priority: optional
 Maintainer: Sjoerd Simons <sjoerd@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 7),
-               cdbs (>= 0.4.90~),
+Build-Depends: debhelper (>= 8.1.3~),
+               cdbs (>= 0.4.93~),
                gnome-pkg-tools,
                gtk-doc-tools,
                libgtk-3-dev (>= 2.90),
@@ -24,16 +24,18 @@
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-gtk-3.0,
                gir1.2-clutter-1.0,
-               valac-0.12
+               valac-0.14
 Standards-Version: 3.9.2
 Homepage: http://projects.gnome.org/libchamplain/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libchamplain
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libchamplain/
 
-Package: libchamplain-0.10-0
+Package: libchamplain-0.12-0
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: C library providing ClutterActor to display maps
  Libchamplain is a C library providing a ClutterActor to
  display maps.
@@ -55,11 +57,11 @@
  .
  This package contains the documentary for this package.
 
-Package: libchamplain-0.10-dev
+Package: libchamplain-0.12-dev
 Section: libdevel
 Architecture: any
-Depends: libchamplain-0.10-0 (= ${binary:Version}),
-         gir1.2-champlain-0.10 (= ${binary:Version}),
+Depends: libchamplain-0.12-0 (= ${binary:Version}),
+         gir1.2-champlain-0.12 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
          libclutter-1.0-dev,
@@ -77,11 +79,12 @@
  This package contains the header files required if you wish
  to develop software that uses libchamplain.
 
-Package: libchamplain-0.10-dbg
+Package: libchamplain-0.12-dbg
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libchamplain-0.10-0 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libchamplain-0.12-0 (= ${binary:Version}),
          ${misc:Depends}
 Description: C library providing ClutterActor to display maps (debug symbols)
  Libchamplain is a C library providing a ClutterActor to
@@ -92,11 +95,11 @@
  .
  This package contains debugging symbols for libchamplain
 
-Package: gir1.2-champlain-0.10
+Package: gir1.2-champlain-0.12
 Architecture: any
-Priority: extra
 Depends: ${gir:Depends},
          ${misc:Depends}
+Section: introspection
 Description: C library providing ClutterActor to display maps (GObject introspection)
  Libchamplain is a C library providing a ClutterActor to
  display maps.
@@ -106,10 +109,12 @@
  .
  This package contains the GObject introspection file for libchamplain.
 
-Package: libchamplain-gtk-0.10-0
+Package: libchamplain-gtk-0.12-0
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Gtk+ widget to display maps
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
@@ -117,16 +122,16 @@
  It supports numerous free map sources such as
  OpenStreetMap (default), OpenArialMap and Maps for free.
 
-Package: libchamplain-gtk-0.10-dev
+Package: libchamplain-gtk-0.12-dev
 Architecture: any
 Section: libdevel
-Depends: libchamplain-gtk-0.10-0 (= ${binary:Version}),
-         gir1.2-gtkchamplain-0.10 (= ${binary:Version}),
+Depends: libchamplain-gtk-0.12-0 (= ${binary:Version}),
+         gir1.2-gtkchamplain-0.12 (= ${binary:Version}),
          ${misc:Depends},
          libgtk-3-dev,
          libglib2.0-dev,
          libclutter-1.0-dev,
-         libchamplain-0.10-dev (= ${binary:Version}),
+         libchamplain-0.12-dev (= ${binary:Version}),
          libclutter-gtk-1.0-dev
 Description: Gtk+ widget to display maps (development files)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
@@ -151,13 +156,14 @@
  .
  This package contains documentation for libchamplain-gtk.
 
-Package: libchamplain-gtk-0.10-dbg
+Package: libchamplain-gtk-0.12-dbg
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libchamplain-gtk-0.10-0 (= ${binary:Version}),
+Depends: libchamplain-gtk-0.12-0 (= ${binary:Version}),
          ${misc:Depends}
-Recommends: libchamplain-0.10-dbg
+Recommends: libchamplain-0.12-dbg
+Multi-Arch: same
 Description: Gtk+ widget to display maps (debug symbols)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
@@ -167,12 +173,12 @@
  .
  This package contains debugging symbols for libchamplain-gtk.
 
-Package: gir1.2-gtkchamplain-0.10
+Package: gir1.2-gtkchamplain-0.12
 Architecture: any
-Priority: extra
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Section: introspection
 Description: Gtk+ widget to display maps (GObject introspection)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
